APROPOS(1)

NAZWA
apropos - przeszukiwanie nazw i opisów stron podręcznika ekranowego

SKŁADNIA
apropos [-dalv?V] [-e|-w|-r] [-s lista] [-m system[,...]] [-M ścieżka] [-L ustawienia_językowe] [-C plik] słowo_kluczowe ...

OPIS
Każda strona podręcznika zawiera krótki opis. apropos przeszukuje te opisy, wyszukując podane słowo_kluczowe.

słowo_kluczowe jest zazwyczaj wyrażeniem regularnym, tak jakby użyto opcji -r, może także zawierać znaki dopasowania w stylu powłoki (-w) lub być traktowane dosłownie (-e). Podczas używanie tych opcji może być potrzebne ujęcie słowa_kluczowego w cudzysłowy lub poprzedzenie znaków specjalnych znakiem odwrotnego ukośnika (\), aby uniknąć ich interpretowania przez powłokę.

Standardowe reguły dopasowania pozwalają na dopasowanie nazwy strony podręcznika i poszczególnych słów opisu.

Baza danych przeszukiwana przez apropos jest aktualizowana przez program mandb. W zależności od instalacji, może być on uruchamiany okresowo przez program cron lub ręcznie przez administratora po zainstalowaniu nowych stron podręcznika.

OPCJE

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-v, --verbose
    Wyświetla szczegółowe ostrzeżenia.

-r, --regex
    Interpretuje każde słowo kluczowe jako wyrażenie regularne. Jest to zachowanie domyślne. Każde słowo kluczowe jest dopasowywane do nazw stron podręcznika lub opisów niezależnie. Może pasować do dowolnej części nazwy lub opisu. Dopasowanie nie jest ograniczone do granic słów.

-w, --wildcard
    Interpretuje każde słowo kluczowe jako wzorzec zawierający znaki dopasowania w stylu powłoki. Każde słowo kluczowe jest dopasowywane do nazw stron podręcznika lub opisów niezależnie. Jeśli podano również opcję --exact, to dopasowanie będzie znalezione tylko wtedy, jeżeli rozwinięcie słowa kluczowego pasuje do całości opisu lub nazwy strony. W przeciwnym wypadku słowo kluczowe może być dopasowane do granic słów w opisie.

-e, --exact
    Każde słowo kluczowe będzie dokładnie dopasowane do nazw i opisów stron podręcznika.

-a, --and
    Wyświetla tylko te pozycje, które pasują do wszystkich podanych słów kluczowych. Domyślnie wyświetlane są pozycje pasujące do któregokolwiek ze słów kluczowych.

-l, --long
    Nie przycina wyjścia do szerokości terminalu. Normalnie, wyjście będzie skrócone do szerokości terminalu, aby uniknąć brzydkich efektów w przypadku źle napisanych sekcji NAZWA.

-s list, --sections=list, --section=list
    Przeszukuje tylko podaną sekcje podręcznika. lista jest rozdzielona średnikami lub przecinkami listą sekcji. Jeśli element listy jest sekcją prostą, na przykład "3", to wyświetlona lista opisów będzie zawierać strony w sekcjach "3", "3perl", "3x" itd., podczas gdy jeżeli element listy zawiera rozszerzenie, na przykład "3perl", to lista będzie zawierać tylko i wyłącznie strony w tej sekcji podręcznika.

-m system[,...], --systems=system[,...]
    If this system has access to other operating systems' manual page descriptions, they can be searched using this option. To search NewOS's manual page descriptions, use the option -m NewOS.

    Podany system może być kombinacją oddzielonych przecinkami nazw systemów operacyjnych. Aby włączyć hierarchię stron man macierzystego systemu operacyjnego, należy użyć man jako nazwy systemu w łańcuchu argumentów. Niniejsza opcja nadpisuje ewentualne użycie zmiennej środowiska $SYSTEM.

-M ścieżka, --manpath=ścieżka
    Określa alternatywny zbiór rozdzielonych dwukropkami hierarchii stron podręcznika do przeszukiwania. Domyślnie apropos używa wartości zmiennej środowiskowej $MANPATH, chyba że jest pusta, co spowoduje, że na podstawie wartości zmiennej środowiska $PATH określi odpowiednią ścieżkę poszukiwań man. Opcja ta nadpisuje zawartość zmiennej $MANPATH.

-L ustawienia_językowe, --locale=ustawienia_językowe
    apropos zazwyczaj określa bieżące ustawienia językowa przez wywołanie systemowej funkcji C setlocale(3), która określa je na podstawie różnych zmiennych środowiska, takich jak $LC_MESSAGES i $LANG. Aby tymczasowo nadpisać wartości ustalone przez tę funkcję, można użyć tej opcji do bezpośredniego przekazania ustawień_językowych do programu apropos. Uwaga: będzie to miało wpływ tylko na wyszukiwanie stron podręcznika, komunikaty takie jak informacje o pomocy, zawsze będą wyświetlane w języku określonym na początku działania.

-C plik, --config-file=plik
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Wyświetla komunikat pomocy i kończy pracę.

--usage
    Wyświetla krótki opis użycia programu i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

KOD ZAKOŃCZENIA

0   Program zakończony bez żadnych błędów.

1   Błąd użycia, składni lub pliku konfiguracyjnego.

2   Błąd działania.

16  Nie znaleziono niczego, co spełniałoby kryteria wyszukiwania.

ŚRODOWISKO

SYSTEM
    Jeżeli ustawiona jest zmienna $SYSTEM, to ma to taki sam skutek, jak przekazanie jej wartości jako argumentu opcji -m.

MANPATH
    Jeżeli ustawiona jest $MANPATH, to jej wartość jest interpretowana jako wskazana do użycia ścieżka przeszukiwań hierarchii stron man. Ścieżka zawiera rozdzielone dwukropkami nazwy hierarchii (katalogów).

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if all else fails.

POSIXLY_CORRECT
    Jeżeli ustawiono $POSIXLY_CORRECT, nawet na pustą wartość, to domyślnie apropos będzie wyszukiwał w trybie wyrażeń regularnych (-r). Obecnie i tak to jest domyślne zachowanie.

PLIKI

/usr/share/man/index.(bt|db|dir|pag)
    Tradycyjny globalny indeks bazy danych.

/var/cache/man/index.(bt|db|dir|pag)
    Zgodny z FHS globalny indeks bazy danych.

/usr/share/man/.../whatis
    Tradycyjna tekstowa baza danych whatis.

ZOBACZ TAKŻE
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BŁĘDY
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.